View this page in the latest version of Appian. Custom JDBC Connected System Share Share via LinkedIn Reddit Email Copy Link Print On This Page This page provides details about custom JDBC connected system properties. For information that pertains to all connected systems, see Connected System Object. What is a custom JDBC connected system? A custom JDBC connected system allows you to connect to unsupported databases that support the JDBC protocol. The custom JDBC connected system provides an alternative to HTTP integrations or third-party plug-ins. After creating the connected system, you use a SQL integration object to exchange data with your business data source through SQL statements. Note: Any database that is not in the supported databases list is considered an unsupported database. To use the custom JDBC connected system: Deploy a driver. Create a custom JDBC connected system. Create a SQL integration object. Deploy a driver The process for deploying a JDBC driver differs based on your Appian installation type. Deploy a driver on Appian Cloud Contact Appian Support to request the deployment of your driver. Attach the .jar file for the desired JDBC driver and a database logo image file to the support case. Supported image file types include .svg, .png, .jpg, and .jpeg. Deploy a driver on a self-managed installation To deploy the desired JDBC driver to your site, run the creation script found in <APPIAN_HOME>/_admin/_scripts/tools/jdbc/create-jdbc-driver-plugin.sh. The script requires the following inputs: File path: Path to the .jar file. Driver class name (-driverClass): The fully qualified class name of the JDBC driver. Plug-in name (-name): The display name of the plug-in. Plug-in key (-key): A case-sensitive identifier, unique within a site. The key determines whether to create a new custom JDBC connected system template or update an existing one. The key displays in the name, description, and configuration properties of the custom JDBC connected system template. Plug-in version (-version): Use the same version as the driver .jar file version. Logo image file (-logo): Path to the logo image file. Supported file types: .svg, .png, .jpg, and .jpeg. Create a custom JDBC connected system After deploying the driver, the custom JDBC connected system template appears with the specified logo when you create a connected system. To create a custom JDBC connected system: In your application, go to the Build view. Click NEW > Connected System. From the Create Connected System dialog, select the custom JDBC connected system template. Configure the properties. Click CREATE. Properties A custom JDBC connected system has the following properties: Field Description Name The name of the connected system. Use a name that uniquely identifies this connection to the external database. Description Supplemental information about the connected system that is displayed in the objects grid of some Designer views and when selecting the system in an integration object. Connection URL The URL for the data source. The connection URL must include the hostname, port, and database name of the data source. The exact syntax varies by database type, but the connection URL must always be prefixed by jdbc. Authentication The authentication method used by this connected system. OAuth 2.0 Client Credentials Grant Basic Authentication Note: With Basic Authentication, you can provide a personal access token as the password to leverage personal access token (PAT) authentication. Maximum Connection Pool Size The maximum number of active connections to the database that can be allocated from this data source at the same time. The default is 20. The maximum connection pool size prevents one connected system from consuming the entire connection pool. You can raise or lower this number to control the number of connections for a data source. For example, if you have a data source for an application with low usage, lower this number to limit the number of connections for that application and prevent it from consuming too many resources. Transaction Isolation Level The degree of isolation or concurrency control applied to transactions in a database system. The transaction isolation level determines how transactions interact with each other and how they access and modify data concurrently. The JDBC API provides four transaction isolation levels. Not all database vendors support all four levels. TRANSACTION_READ_UNCOMMITTED: The lowest isolation level. Allows dirty reads, non-repeatable reads, and phantom reads. TRANSACTION_READ_COMMITTED: A transaction can only read data that has been committed by other transactions. Prevents dirty reads, but non-repeatable reads and phantom reads can occur. TRANSACTION_REPEATABLE_READ: Within a transaction, the same query always returns the same results. Prevents dirty reads and non-repeatable reads, but phantom reads can still occur. TRANSACTION_SERIALIZABLE: The highest isolation level, providing strict data consistency. Concurrent transactions behave as if they are executed serially. Prevents dirty reads, non-repeatable reads, and phantom reads. Data Source Shortcut Determines whether to show the connected system as a data source shortcut in the record type configuration. Shortcut Display Name The name of the data source shortcut option. The Shortcut Display Name property only appears when Data Source Shortcut is selected. Automating property updates This object's properties can also be updated programmatically using the Update Connected System endpoint. This lets you change passwords, API keys, and other values without needing to sign in to Appian. The following properties can be included in the JSON request body of the PATCH /connected-system/<UUID> call. connectionUrl username password maxConnections transactionIsolationLevelKey Enable one-way SSL/TLS connections Secure Socket Layer (SSL) or Transport Layer Security (TLS) encrypts a connection between Appian and a database. SSL/TLS connections provide an additional layer of security by encrypting data transferred between Appian and your database instance or cluster. In one-way SSL, only Appian validates the server certificate to ensure that Appian receives data from the intended database server. Note: Appian cannot guarantee that one-way SSL works for all database vendors that support the JDBC protocol. Refer to your database vendor's documentation for configuration details. To enable one-way SSL/TLS connections for a custom JDBC connected system: Enable SSL/TLS on your database server. Ensure that a valid SSL certificate has been uploaded to the Trusted Server Certificates in the Admin Console, especially if you are using a self-signed or private certificate authority (CA) signed SSL certificate on your database server. Add SSL connection properties to your database connection URL. Create a SQL integration After creating the custom JDBC connected system, create a SQL integration object to query the database using SQL statements. Feedback Was this page helpful? SHARE FEEDBACK Loading...